package com.prolog.eis.service.out;


import com.prolog.eis.model.container.ContainerInfoDetail;
import com.prolog.framework.core.restriction.Criteria;

import java.util.List;
import java.util.Map;

/**
 * @author zmr
 * @description: 容器信息详情表-服务接口类
 * @date 2023-08-30 12:24
 */
public interface ContainerInfoDetailService {

    /**
     * 新增数据
     *
     * @param containerInfoDetail 容器信息详情表
     */
    long save(ContainerInfoDetail containerInfoDetail);

    /**
     * 新增批量数据
     *
     * @param containerInfoDetailList 容器信息详情表
     */
    long saveBatch(List<ContainerInfoDetail> containerInfoDetailList);

    /**
     * 查询多条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象列表
     */
    List<ContainerInfoDetail> findByMap(Map<String, Object> paramMap);

    /**
     * 查询单条数据
     *
     * @param paramMap 查询起始位置
     * @return 对象
     */
    ContainerInfoDetail findOneByMap(Map<String, Object> paramMap);

    /**
     * 查询多条数据
     *
     * @param criteria 查询起始位置
     * @return 对象列表
     */
    List<ContainerInfoDetail> findByCriteria(Criteria criteria);

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    ContainerInfoDetail findById(int id);

    /**
     * 修改数据
     *
     * @param containerInfoDetail 实例对象
     */
    long update(ContainerInfoDetail containerInfoDetail);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     */
    long deleteById(int id);

    /**
     * 通过参数删除数据
     *
     * @param paramMap 参数
     */
    long deleteByMap(Map<String, Object> paramMap);

    /**
     * 通过参数查询总条数
     *
     * @param paramMap 参数
     */
    long findCountByMap(Map<String, Object> paramMap);

}
